#ifndef WR_DIAB_CPP_FI_H
#define WR_DIAB_CPP_FI_H

/* Any other items that may be required in a "force-include" file should be placed below. */
void *__alloca(int);
void __memory_barrier();
void __scheduling_barrier();
void *alloca(int);
int *__errno_fn();
void _exit(int);
int __builtin_expect(int, int);
void abort();
int abs(int);
double atof(const char *);
int atoi(const char *);
long atol(const char *);
double ceil(double);
void exit(int);
double fabs(double);
double floor(double);
char *getenv(const char *);
long labs(long);
int rand();
char *strchr(const char *, int);
int strcmp(const char *, const char *);
char *strrchr(const char *, int);
char *strstr(const char *, const char *);
signed char *__va_stkaddr_of_cls(void *);
void __builtin_prefetch(void *, ...);
unsigned int __ff0(unsigned int);
unsigned int __ff0l(unsigned int);
unsigned int __ff0ll(unsigned long long);
unsigned int __ff1(unsigned int);
int __ff1l(unsigned int);
unsigned int __ff1ll(unsigned long long);
void *__diab_memcpy(void *, void *, unsigned int, unsigned int, ...);
void *__diab_memset(void *, int, unsigned int, unsigned int, ...);
unsigned int __brev(unsigned int);
unsigned int __tstnbz(unsigned int);
int __adc(int, int);
int __adcs(int, int);
int __adds(int, int);
void *__diab__got__(signed char *, void *);
void __mar(unsigned long long);
void __mia(unsigned int, unsigned int);
void __miabb(unsigned int, unsigned int);
void __miabt(unsigned int, unsigned int);
void __miaph(unsigned int, unsigned int);
void __miatb(unsigned int, unsigned int);
void __miatt(unsigned int, unsigned int);
unsigned long long __mra();
void *__tls_varp(void *);
double __fabs(double);
double __fabsd(double);
float __fabsf(float);
unsigned int __fpscr();
float __pabs(float);
float __paddc(float, float);
float __pclr(void);
float __pdmsb(float);
float __plds(float);
float __prnd(float);
float __pshl(float, int);
float __psts(void);
float __psubc(float, float);

#else
#error "Multiple include"
#endif  /* ifndef WR_DIAB_CPP_FI_H */
